I'm using QSELECT to select all objects on a layer, sometimes I need to select objects from 5-7 layers.
Right now I use QSELECT, select 1 layer, click OK, open QSELECT again, select another layer and repeat. Is there a faster way to do this without scripts?
I'm sure some of you do site drawings, how do you measure a curve? Some restaurants or cafes have a rounded serving counter, how you measure the radius to plot into autocad?
I'm going to connect my AI file to After effect. So I had to create lots of layers in order to edit them seperatly in After effects. But it seems like my amount of layers are too large because AE always crashes (not responding -> Force quit)
So I wanna break some stuff down in multiple AI files, but I don't wanna go and select every layer and delete it. That would take too much time. Is there a way to select the multiple objects in Illustrator and delete that but also its layer its in?
Is it possible to select entities of multiple layers?
I've looked at... [URL] .....
...and tried the following code.
string[] layerNames = {"1", "2", "3"};TypedValue[] tdv = new TypedValue[(layerNames.Length * 3) + 2];int i = 0;tdv[i++] = new TypedValue((int)DxfCode.Operator, "<or");foreach (string ln in layerNames){ tdv[i] = new TypedValue((int)DxfCode.Operator, "<and"); tdv[i + 1] = new TypedValue((int)DxfCode.LayerName, ln); tdv[i + 2] = new TypedValue((int)DxfCode.Operator, "and>"); i += 3;}tdv[i - 2] = new TypedValue((int)DxfCode.Operator, "or>");SelectionFilter sf = new SelectionFilter(tdv);PromptSelectionResult psr = ed.SelectAll(sf); This code gives me an error in the PromptSelectionResult.
I just started having an issues with the delete feature. When I click on an object and it highlights it--when i hit the delete button, it doesn't delete the object any more. Also i should be able to click on as many object as i want, now it makes me hold the shift key down. And also when I click on an object then pull the layers tab down to assign it to a diffent layer ---it won't change it now.. what do you think is going on with the software and who might I contact to get this problem corrected.
I have this code that I wrote years ago that I want to update to select two types of civil3d objects and show them selected with grips on the screen. This function works fine
but if I add the extra object like this which I assume is the wrong syntax i only get the second type of objects. Need correct syntax I should be using for selecting more than one object in an ssget statement.
I am just starting learning lisp, And I am looking for a fast way to select multiple objects (usually circle) and export their coordinates and ID into a excel sheet through lisp programming.
As you might see in the attached drawing, the red circles are objects wanted. I have been trying to export their coordinates as well as their IDs in grids, e.g D28, Easting: Northing: . I still haven't found a good way to export ID for each circle.
As my code doesn't work, I wonder what's the most effective way to detect errors in lisp
Can not click on multiple objects or lines for erase,trim or extend commands. Is there a mode that I have turned on by accident , driver warning also comes up in trim offset command.
I have a problem with selecting multiple objects!!! Everywhere it says that you have to hold shift and select the objects you wish but when I do this it selects all the objects in between! How can I change this?
I've just upgraded to Corel X5 and cannot find a way of selecting more than one layer at a time in the Object Manager docker. (With X3 I simply held down Shift and selected however many layers I wanted). I sometimes need to select dozens of layers at once to delete them or switch off visibility - surely not one at a time? How is this done in X5?
I'm trying to select multiple layers in the layers panel on a Mac. I normally do 'command-click' and it works to select many layers. Now, it doesn't work. When I click the second layer, it draws a marquee around it. I need to select multiple layers in order to drop shadow many layers at the same time.
I find it extremely annoying to have to Ungroup named groups and then regroup and rename them in order to do a multiple selection of group members. I find I'm constantly ungrouping and regrouping in order to select/edit.
Note that the multiple items are often not the same type of object (e.g., text, line, shape, etc.).
Imagine a layer containing 10 squares, each square is isolated (none are touching). I need a quick way to put each of those squares on its own layer. Is there something already built in, or any plugin or action?
Select one type layer, as you can see below, the character panel reflects the setting correctly:
Select TWO type layers, with the exact same character attributes.. what happens?
It should say in the image above 36px/52px, not 12.16px (.16 px? Really?) and 17.56.I haven't the foggiest idea where that even comes from.
But the result for all photoshop users is that they have to individually change all the layers individually..I was hoping character styles would work, i have yet to figure out how it even works, i've tried multiple times, it just doesn't do anything to the selected type.
I have found this post from April where the bug was acknowledged in the beta:
[URL].........
I now have the official release of CS6, and I am still seeing this issue. And for clarification, here's what the issue is:
- I start off creating a text layer with a font size of 20px. - I then transform this layer to make it larger. - I copy the layer over so I have identical text layers. - When I select each individually, I am shown the new, larger font size, we'll just say 40px. But when I select both together, it shows the original font size of 20px in the character palette. When I increase the font size with both selected to say 30px, it actually makes the text more like 60px.
If you have raster (or vector) item on seperate layers, I know I can link all the layers together, but when I select the MOVE tool and press the button that centers to the middle of the canvas, it moves every item to the center of the canvas (as it should) But these items, when viewed "together" make up an element that I'd like to be considered "grouped" so the "collectively" then are centered to the canvas as one item. Is this possible?
i have a guge artwork and i need to select a small groups (around 10-100) of objects from about 4000 overlayed objects and then group'em/split-to-layers for usability (This is a human body infographics for medical institute) There IS NO way selecting them from canvas because they are overlayed, and sometimes not visible at all. in CS5 there was a feature to select multiple objects by Alt+drag selection icon on the most right in the Layers Panel. Now the duplication mode turns-on when i try to perform it. So.. Ho do i select multiple object without need to click through thousands of them? (i need drag-select)
I have long used the following lisp to convert multiple single text objects into multiple mtext objects (i.e. make each text entity into separate mtext entities).
; T2M - convert individual Texts/Dtexts to individual MTexts ; modified by Xanadu - www.xanadu.cz ; (defun C:T2M (/ ss i elist)
[Code]....
However, the mtext entity always moves position slightly (compared to the original text entity) after converting the object. better lisp that converts multiple text entities into mtext entities (which are all separate still, i.e. not joined together) without the position of the entity changing?
Something changed in my settings & I don't know how to chance it back. I can't click on to select objects inside or behind objects. What do I have to change to be able to select any item I click on regardless of where it is?
I would like to increase the font size in many text layers at a time by selecting them in the layers panel. The font increases, but the text boxes don't expand to fit the increased size text. So I am having to make each box bigger manually. Is there a way to have the boxes expand to fit bigger text automatically through the layers panel?
I want to select all the objects in the drawing and then based on the linetype it should be moved to a specific layer.
I can do this per type (circle, line, etc) but that will be a hell of a job and a lot of code. In Vba I check inside the selection on linetype and then change it to the correct layer. But in .NET i don't figured out a way how to do it.
I just installed Acad v. 2014. I opened up an existing file, went to select a line, but noticed that the line does not highlight when I hover over it like my last version. How do I change the settings so that when I hover over an object, whether it be a line or a cross hatched area, it will highlight that object so I know the length or area of the object?
The issue I am having a problem with is a mouse cursor freeze when I select an object with no command active.When I select an object, the cursor will freeze for about a second before I can move it again. When I hit escape to de-select the object the same thing happens.
This is with Acad LT 2011. WinXP. Normal operation this computer runs ACAD quite fast, no particular lags or anything except maybe when selecting to copy or move very large groups of objects, or when switching between layouts or to model space when there is a fair amount of stuff in the layout, or when regen on a large file size.
This mouse cursor lag was not always the case, but at some point this problem appeared.I have tried save, regen, regenall, closing the drawing, exiting ACAD LT, rebooting the computer.
It's very irritating, since so much of using ACAD is clicking and doing things with the mouse, that it really slows down my production, to have to get a cup of coffee every time I do a select action with the mouse.About a week ago I installed the trial version of LT 2012 to see if it was different. When I opened the same dwg in 2012 there was no lag.
I then closed this and opened the dwg in 2011, and there was no lag. So it seems that the installation of the 2012 trial version changed something in the way 2011 operated.It has been operating fine now with no lag until this morning. Now I have the lag again.When I now open the same dwg in 2012, I now have this lag in 2012 as well.
I did not change any settings in 2012 or 2011 like hardware acceleration or whatever. I just suddenly had this lag, and now I can't seem to get rid of it. Attached is a file that was made by opening ACAD LT 2011 and drawing a few lines, then saving it. No template used.On my computer with this file, I get the mouse cursor lag when I select a line.
my problem is that I can only select objects that are shown on screen on the second click.
For instance, I'm using the green select box (dragging right to left) to select a large amount of items in a really tight spot, (between 2 parallel and horizontal lines only 3mm apart. My problem is that I can zoom in on the right hand side, select the lower right hand corner, zoom out, zoom into the top left corner and select. It'll only select what's shown on screen, which is literally 3 out of 1000 items.
Is there a variable to allow the selecting every object in the select box, with no relation to zoom levels or panned areas?
is there a way to rotate my whole drawing without actually selecting the objects in it. ? i.e to say, the drawing rotates itself according to my viewpoint [my eyes] and i dont have to rotate my neck to view the tilted objects in drawing.
when i am trying to use a function like mirror or offset..etc i will select the lines or objects then i will make a mistake such as selecting the wrong base point or such. i then press esc to end that function and try again but find it annoying that i have to select all the lines again. is there a quicker way to reselect the last lines or objects selected. "like the (L+enter) to use line function type macro".
Suddenly, when I select objects, the existing selected objects deselect. If this is a setting I inadvertently misused I don't know why the setting exists. How I can get back to selecting successive objects?
I have one layout. On that layout I want to have 2 viewports. I also have ssay block A and block B I want to insert.I would like Viewport1 to display block A and viewport 2 to display block B.
What happens to me is when I created Viewport 1 and inserted block A. I go on to create viewport 2. But viewport 2 displays only block A, which I cannon delete to insert block B.
What might be the cause of a several moment delay when selecting objects and/ or their grip points. It doesn't occur when a command is entered first. The longer a drawing is open the worse it seems to get. Is there any fix or adjustment that can be made?
why my crosshairs stutter after I select an object? I first noticed it after the AutoCAD release that added vertex control options to plines. Crosshairs hang for a second or two after selecting an object that has vertices. Seems like CAD is evaluating the vertices.